> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/56.-importer-des-photos.md).

# 56. Importer des photos

Téléverser une photo via S3 comporte 2 étapes :

1. **Demander le lien pré-signé pour un téléversement direct ultérieur.**&#x20;

En entrée :&#x20;

* fileExtention - jpeg OU jpg OU png,&#x20;
* farmUuid - uuid de la ferme,
* fieldUuid - uuid de la parcelle,
* noteUuid - uuid de la note pour le lien direct de la photo téléversée,
* commentUuid - uuid du commentaire pour le lien direct de la photo téléversée (optionnel).&#x20;

En sortie :

* uuid - l'uuid attendu après le téléversement et le traitement,
* farmUuid - identique à l'entrée,
* fieldUuid - identique à l'entrée,
* noteUuid - identique à l'entrée,
* commentUuid - identique à l'entrée (si existant),
* s3Url - l'URL utilisée pour téléverser la photo,
* s3Fields - attributs à passer dans le formulaire de téléversement de la photo.

Les détails sur l'utilisation de s3Url et s3Fields sont décrits dans la deuxième étape.&#x20;

Les attributs ne sont valables que 60 minutes pour téléverser la photo.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Envoyer une photo locale vers s3Url avec les attributs de formulaire prédéfinis fournis par s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Les notifications concernant le traitement seront envoyées via le mécanisme d'abonnement décrit dans GraphQL -> Samples -> [1. Abonnement : Obtenir les événements](/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/1.-abonnement-obtenir-les-evenements.md).

{% hint style="info" %}
Utilisez ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/56.-importer-des-photos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
